vertex_attr_names {igraph} | R Documentation

## List names of vertex attributes

### Description

List names of vertex attributes

### Usage

    vertex_attr_names(graph)

### Arguments

`graph` | The graph.

### Value

Character vector, the names of the vertex attributes.

### See Also

Other graph attributes: `$.igraph.vs`, `$<-.igraph.vs`, `V<-`, `[<-.igraph.vs`, `[[<-.igraph.vs`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`; `$.igraph`, `$<-.igraph`, `igraph-dollar`, `igraph-dollar`; `attributes`, `graph_attr_names`, `list.graph.attributes`; `delete_edge_attr`, `remove.edge.attribute`; `delete_graph_attr`, `remove.graph.attribute`; `delete_vertex_attr`, `remove.vertex.attribute`; `edge.attributes<-`, `edge_attr<-`; `edge.attributes`, `edge_attr`, `get.edge.attribute`; `edge_attr_names`, `list.edge.attributes`; `get.graph.attribute`, `graph.attributes`, `graph_attr`; `get.vertex.attribute`, `vertex.attributes`, `vertex_attr`; `graph.attributes<-`, `graph_attr<-`; `set.edge.attribute`, `set_edge_attr`; `set.graph.attribute`, `set_graph_attr`; `set.vertex.attribute`, `set_vertex_attr`; `vertex.attributes<-`, `vertex_attr<-`

### Examples

    g <- make_ring(10) %>%
      set_vertex_attr("name", value = LETTERS[1:10]) %>%
      set_vertex_attr("color", value = rep("green", 10))
    vertex_attr_names(g)
    plot(g)

[Package igraph version 1.0.1 Index]